Skip to main content
GET
Get folder

Authorizations

x-api-key
string
header
required

API key for authentication. Get your key at https://app.tomorro.com/settings/integrations?integration=api-key

Path Parameters

id
string
required

The unique identifier (UUID) of the folder

Example:

"3f2a1c9e-8b7d-4e6f-9a0b-1c2d3e4f5a6b"

Response

Folder

id
string
required

Unique identifier of the folder.

Example:

"3f2a1c9e-8b7d-4e6f-9a0b-1c2d3e4f5a6b"

name
string
required

Name of the folder, unique among its siblings.

Example:

"NDA"

parentFolderId
string | null
required

Identifier of the parent folder, null for a root folder. Always the real parent, even when the authenticated member cannot access it (a GET on that id then returns 404).

Example:

"7c8d9e0f-1a2b-4c3d-8e4f-5a6b7c8d9e0f"

ownerId
string
required

Identifier of the member who owns the folder.

Example:

"550e8400-e29b-41d4-a716-446655440000"

createdAt
string<date-time>
required

Creation date (ISO 8601).

Example:

"2026-10-01T09:00:00.000Z"

updatedAt
string<date-time>
required

Last modification date (ISO 8601).

Example:

"2026-10-15T14:30:00.000Z"

contractIds
string[]
required

Contracts filed directly in this folder (not in its subfolders) that the authenticated member can read.

Example: